> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Limits

> Get account plan limits including workspace, app, and resource caps.



## OpenAPI

````yaml GET /api/v1/users/me/limits
openapi: 3.1.0
info:
  title: Rigbox Public API
  description: >-
    Gateway-owned public API for Rigbox. The gateway composes its local
    lifecycle API with service-owned exported specs.
  contact:
    name: Rigbox
    url: https://rigbox.dev
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.rigbox.dev
    description: Production gateway
security: []
tags:
  - name: Workspaces
  - name: CLI
  - name: Observability
  - name: Auth
  - name: API Keys
  - name: Access Control
  - name: Apps
  - name: App Catalog
  - name: Logs
  - name: AI
  - name: Tools
  - name: Snapshots
  - name: SSH Keys
  - name: Templates
  - name: Setup Scripts
  - name: Service Specs
  - name: Deploy
  - name: Community
  - name: User Settings
  - name: Roadmap
  - name: System
paths:
  /api/v1/users/me/limits:
    get:
      tags:
        - AI
      summary: Get effective account limits and current usage.
      description: >-
        Get the account's effective plan limits alongside current resource
        usage.
      operationId: get_user_limits
      responses:
        '200':
          description: User limits and usage
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserLimitsResponse'
      security:
        - bearer: []
components:
  schemas:
    GetUserLimitsResponse:
      type: object
      required:
        - plan
        - custom
        - limits
        - usage
      properties:
        custom:
          type: boolean
        limits:
          $ref: '#/components/schemas/EffectiveLimits'
        plan:
          type: string
        usage:
          $ref: '#/components/schemas/LimitsUsage'
    EffectiveLimits:
      type: object
      required:
        - max_vms
        - max_ram_per_vm_mb
        - max_ram_total_mb
        - max_disk_total_mb
        - max_vcpu_per_vm
        - max_running_vcpus
      properties:
        max_disk_total_mb:
          type: integer
          format: int32
          minimum: 0
        max_ram_per_vm_mb:
          type: integer
          format: int32
          minimum: 0
        max_ram_total_mb:
          type: integer
          format: int32
          minimum: 0
        max_running_vcpus:
          type: integer
          format: int32
          minimum: 0
        max_vcpu_per_vm:
          type: integer
          format: int32
          minimum: 0
        max_vms:
          type: integer
          format: int32
          minimum: 0
    LimitsUsage:
      type: object
      required:
        - workspace_count
        - running_vcpus
        - total_disk_mb
        - total_ram_mb
      properties:
        running_vcpus:
          type: integer
          format: int32
          minimum: 0
        total_disk_mb:
          type: integer
          format: int32
          minimum: 0
        total_ram_mb:
          type: integer
          format: int32
          minimum: 0
        workspace_count:
          type: integer
          format: int32
          minimum: 0
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````